<?php use_helper('UrlFunctions'); ?>
<script>
findControl = function(){
  
  concatValueStr();
  
}

exportFindControl = function(action){
  strFormSerialize = returnQueryStringForm();
  executeFind(strFormSerialize, action);
}

executeFind = function(str, action){
  if(typeof(action) == 'undefined'){
	  url = "<?=buildUrl('rcd/grid', "block=".$block)?>";
	}else{
	  switch (action){
	    case 'excel': parent.objMainTab.reqBody('<?=buildUrl('rcd/excel')?>','001&'+str); break;
	    case 'pdf': parent.objMainTab.reqBody('<?=buildUrl('rcd/pdf')?>','001&'+str); break;	    
	    case 'pdf_supervisor': parent.objMainTab.reqBody('<?=buildUrl('rcd/pdf_supervisor')?>','001&'+str); break;	    
	    case 'pdf_moroso': parent.objMainTab.reqBody('<?=buildUrl('rcd/pdf_moroso')?>','001&'+str); break;
	  }
	  
	  return;
	}
  //str = str + '&block=001';
  url = "<?=buildUrl('rcd/grid', "block=".$block)?>";
	var myAjax  = new Ajax.Updater(
                                	"resultGrtid",
                                	url,
                                	{
                                		asynchronous:	true,
                                		method			: 'get',
                                		parameters	: str,
                                		evalScripts	: true,
                                		onLoading   : cargandoImagenSerch(),
                                		onComplete	: function(){
                                			//objMainTab.showMenu();
                                		}
                                	});
}

concatValueStr = function(){
  strFormSerialize = returnQueryStringForm();
  if(arguments[0]){
    strFormSerialize += '&'+arguments[0];
  }
  executeFind(strFormSerialize);
}

function returnQueryStringForm(){
  cadenaFormulario = $('form1').serialize();
             var posicion = new Array();
             var a_pars = new Array();
             var miArray = new Array();
             posicion=[];
             a_pars=[];
             miArray=[];
             miArray = cadenaFormulario.split('&');
             x=0;
             for (i = 0; i < miArray.length; i++){
            	   posicion[i] = miArray[i].indexOf('=');
            	   if(typeof(miArray[i-1])!='undefined'){
            				if(miArray[i].substring(posicion[i],0)== miArray[i-1].substring(posicion[i-1],0) ){
           					 porcion = miArray[i].substring((1+posicion[i]));
           					 a_pars[x-1]+='@'+porcion;
           				}else{
          					 a_pars[x]= miArray[i];
         					 x++;
          				}
          		}else{
          			 a_pars[x]= miArray[i];
          			  x++;
          		}
           }
  cadenaFormulario = a_pars.join('&');
  cadenaFormulario += '&id_form=frmFindFedu';
  return(cadenaFormulario);
}

function cargandoImagenSerch(){
	//disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
}

</script>
<script>
findControl = function(){
  
  var pars = $('form1').serialize();
  
	disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
  
	url = "<?=buildUrl('rcd/grid', "block=".$block)?>";
	var myAjax  = new Ajax.Updater(
	"resultGrtid",
	url,
	{
		asynchronous:	true,
		method			: 'get',
		parameters	: pars,
		evalScripts	: true,
		onLoading		: function(){
			//$('contentMenu').innerHTML = $('messageLoadMenu').innerHTML;
		},
		onComplete	: function(){
			//objMainTab.showMenu();
		}
	});
  
}

deleteRegistro = function(id,codigo){
  //buildUrl('rcd/delete/id/'block=001'
  if(confirm("�Esta seguro de eliminar la ficha del docente con codigo : "+codigo+ " ?")){
      //objMainTab.reqBody('<? //=buildUrl('rcd/add')?>','block=001&delete=1&id='+id);   
      parent.objMainTab.reqBody('<?=buildUrl('rcd/delete')?>','&delete=1&cod=jj&id='+id);
  }
  
}

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}
acutalizarMercado = function(destino,elm){
  $(destino).options.length = 0;
  var url = '<?=buildUrlComplet('mnt.php/ajax/request')?>';
  var pars = 'type=getMercado&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
   //$('cboRepresentante').length = 1;
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 0;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>

<?php
//Carga los Mercado
$o_ClienteSystemClass = new ClienteSystemClass(new TipoNegocioBean());
$a_Mercado = $o_ClienteSystemClass->LoadMercadoXRol();

$o_SucursalSystemClass = new SucursalSystemClass(new ColaboradorBean());
$a_Colaborador = $o_SucursalSystemClass->getColaborador();

$idAdministrador = myUser::getUser()->getIdColaborador();

//echo $idAdministrador;

$o_SucursalBean = new SucursalBean();
if($idAdministrador && myUser::getUser()->getRoleId() == "sys.res")$o_SucursalBean->setIdAdministrador($idAdministrador);
if($idAdministrador && myUser::getUser()->getRoleId() == "sys.sup"){
    $o_ColaboradorBean_Temp = new ColaboradorBean();
	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
	$o_ColaboradorBL_Temp = new ColaboradorBL();
	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
	$idAdministrador = $o_ColaboradorBeanResult[0]->getIdPadre();
    $o_SucursalBean->setIdAdministrador($idAdministrador);
    $ok_sel = 0;
}
$o_SucursalDP = new SucursalDP($o_SucursalBean);
$a_Sucursal = $o_SucursalDP->select();
if(myUser::getUser()->getRoleId() == "sys.ope")$a_Sucursal = null;
if(is_array($a_Sucursal)){
    //print_r($a_Sucursal);
    
   $idSucursal = $a_Sucursal[0]->getIdSucursal();
  
    
    $o_SuccursalMercadoBN = new SucursalMercadoBean();
    $o_SuccursalMercadoBN->setIdSucursal($idSucursal);
   
    $o_SuccursalMercadoDP = new SucursalMercadoDP($o_SuccursalMercadoBN);
    $a_o_SuccursalMercado = $o_SuccursalMercadoDP->select();
    foreach($a_o_SuccursalMercado as $key => $o_SuccursalMercado){
        $a_ids_mercado[] = $o_SuccursalMercado->getIdMercado();
    }
    //print_r($a_ids_mercado);
    
    if(!is_array($a_ids_mercado)) $a_ids_mercado[] = 9999;
    $o_MercadoBN = new MercadoBean();
    $o_MercadoBN->setIdMercados($a_ids_mercado);
   
    $o_MercadoDP = new MercadoDP($o_MercadoBN);
    $a_Mercado = $o_MercadoDP->select();
   
}

//Tipo de Docentes
//$o_DocenteSystemClass = new DocenteSystemClass(new TipoDocenteBean());
//$a_TipoDocente = $o_DocenteSystemClass->getTipoDocente();

?>

<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" style="background: #E3E9E2" width="99%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top">
      <form name="form1" id="form1" method="POST">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody"><li>&nbsp;&nbsp;Reporte de Cobranza</li></td>
          <td align="right" valign="baseline">
            <!--<img name="add" src="/images/common/buttons/btnAdd.gif" onClick="parent.objMainTab.modalDialog('<?=buildUrl('rcd/add')?>','block=001')" style="cursor:pointer">-->
            <img src="/images/common/buttons/btnPdf.gif" title="Reporte Cobrador" onClick="exportFindControl('pdf');" style="cursor:pointer"/>
            <img src="/images/common/buttons/btnPdf.gif" title="Reporte Supervisor" onClick="exportFindControl('pdf_supervisor');" style="cursor:pointer"/>
            <img src="/images/common/buttons/adobe_small_back.gif" title="Cartera de Morosos" onClick="exportFindControl('pdf_moroso');" style="cursor:pointer"/>
          </td>
        </tr>
      </table>
      <table class="marco" width="100%">
        <tr>
          <td align="center" valign="top">
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="100%" valign="top" >
                  <table class="SubCabecera" width="100%" border="0" cellpadding="0" cellspacing="0">
                    <tr>
                       <td valign="top" >
                          <table class="SubCabecera"  width="33%" border="0" cellpadding="3" cellspacing="0">
                           <tr>
                               <?php if(myUser::getUser()->getRoleId() <> "sys.ope"){?>
                                <td width="12%" height="26" nowrap="nowrap"><label class="label" for="txtNombre">Sucursal</label></td>
        						<td width="10%" nowrap="nowrap">
        							<select name="cboSucursal" id="cboSucursal" type="text" class="combo" onchange="acutalizarMercado('cboMercado',this);"/> 
        									<?php if($ok_sel == 1){?><option value="" > - Seleccionar - </option><?php } ?>
        									<?php foreach ($a_Sucursal as $iKey => $o_SucursalBean){ ?>
        									<option value="<?=$o_SucursalBean->getIdSucursal()?>">
        									  <?=$o_SucursalBean->getDescripcion()?>
        									</option>
        									<?php } ?> 
        							  </select>
        						</td>    
        					    <?php } ?>
                           	    <td width="12%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre">Mercado</label></td>
	                            <td width="10%" nowrap="nowrap">
		                      	 <select name="cboMercado" id="cboMercado" type="text" class="combo"/> 
			                       <?php foreach ($a_Mercado as $iKey => $o_MercadoBean){ ?>
			                        <option value="<?=$o_MercadoBean->getIdMercado()?>">
			                          <?=$o_MercadoBean->getDescripcion()?>
			                        </option>
			                        <?php } ?> 
								 </select>&nbsp;<input class="button" type="button" value="Buscar" onclick="findControl();"/>
	                           </td>	
                          </table>
                       </td>
                       
                    </tr>
                  </table>
                </td>
                </tr>   
			 
            </table>
          </td>
        </tr>
      </table>
       
      </form>
      <div id="resultGrtid">
      </div>
    </td>
  </tr>
</table>


<?php
if(isset($insert)){
  ?>
  <script>
    elementLoad.show(undefined,"Se inserto la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('IdPrestamo').value = "<?=$id?>";
    //$('cboEstadoPrestamo').value = "<?=$cboEstadoPrestamo?>";
    //$('cboMercado').value = "<?=$cboMercado?>";
    
    
    findControl();
  </script>
  <?php
}
if(isset($update)){
  ?>
  <script>
    elementLoad.show(undefined,"Se actualizo la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('IdPrestamo').value = "<?=$id?>";
   
    findControl();
  </script>
  <?php
}
if(isset($delete)){
  ?>
  <script>
    elementLoad.show(undefined,"Se elimino la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('IdPrestamo').value = "<?=$id?>";
    
    findControl();
    
  </script>
  <?php 
  
}
?>